Skip to main content
GET
Get available assets

Authorizations

Authorization
string
header
required

Your affiliate API key (Profile → API & AI tools in the affiliate dashboard), sent as Authorization: Bearer {api_key}

Headers

Account-ID
string
required

Account ID of the affiliate program, shown next to your API key under Profile → API & AI tools

Example:

"acc_123456"

Response

Successful operation

id
integer

ID of the asset

name
string

Name of the asset

allowed_campaign_ids
integer[]

List of allowed campaign IDs for the asset

details
object

Details about the asset

content
string | null

Content of the asset

landing_page_url
string | null

Landing page URL associated with the asset

asset_type
string

Type of the asset (e.g., document, image)

url
string

URL of the asset

thumbnail_url
string | null

URL of the thumbnail image (if applicable)

uploading
boolean

Indicates if the asset is currently being uploaded

category
string | null

Category of the asset

allowed_campaigns
object[]

List of allowed campaigns for the asset